plugins {
    id 'prestoplay.android-demo-convention'
}

dependencies {
    // castlabs dependencies
    implementation castlabs.demoapputils
    implementation castlabs.playerui
    implementation castlabs.gstreamer

    implementation demos.androidx.appcompat
    implementation demos.androidx.lifecycle.extensions
}

android {
    namespace 'com.castlabs.sdk.hdcp_demo'

    defaultConfig {
        minSdkVersion 21
    }
    splits {
        abi {
            enable true
            reset()
            include 'x86', 'x86_64','arm64-v8a','armeabi-v7a'
            universalApk true
        }
    }

    packagingOptions {
        pickFirst 'lib/x86/libc++_shared.so'
        pickFirst 'lib/x86_64/libc++_shared.so'
        pickFirst 'lib/arm64-v8a/libc++_shared.so'
        pickFirst 'lib/armeabi-v7a/libc++_shared.so'
    }
}
